Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface RelationalDatatypes

All Known Implementing Classes:
  RelationalDatatypes

public interface RelationalDatatypes

Version:
  $Id: RelationalDatatypes.java,v 1.3 2006/04/11 14:10:12 euler Exp $
Author:
  Timm Euler, Daniel Hakenjos

Field Summary
`static java.lang.String` | `RELATIONAL_DATATYPE_DATE` Public constant indicating the relational datatype DATE
`static java.lang.String` | `RELATIONAL_DATATYPE_KEY` Public constant indicating the relational datatype KEY
`static java.lang.String` | `RELATIONAL_DATATYPE_NUMBER` Public constant indicating the relational datatype NUMBER
`static java.lang.String` | `RELATIONAL_DATATYPE_STRING` Public constant indicating the relational datatype STRING

Method Summary
`java.util.Collection` | `getAllRelationalDatatypeNames()` Returns a collection of datatype names available in the M4 Schema.
`long` | `getIdForName(java.lang.String name)`
`java.lang.String` | `getNameForId(long id)`

Field Detail

### RELATIONAL_DATATYPE_NUMBER

    public static final java.lang.String RELATIONAL_DATATYPE_NUMBER

  Public constant indicating the relational datatype NUMBER

  See Also:
    Constant Field Values

### RELATIONAL_DATATYPE_STRING

    public static final java.lang.String RELATIONAL_DATATYPE_STRING

  Public constant indicating the relational datatype STRING

  See Also:
    Constant Field Values

### RELATIONAL_DATATYPE_DATE

    public static final java.lang.String RELATIONAL_DATATYPE_DATE

  Public constant indicating the relational datatype DATE

  See Also:
    Constant Field Values

### RELATIONAL_DATATYPE_KEY

    public static final java.lang.String RELATIONAL_DATATYPE_KEY

  Public constant indicating the relational datatype KEY

  See Also:
    Constant Field Values

Method Detail

### getAllRelationalDatatypeNames

    public java.util.Collection getAllRelationalDatatypeNames()

  Returns a collection of datatype names available in the M4 Schema.

### getIdForName

    public long getIdForName(java.lang.String name)

### getNameForId

    public java.lang.String getNameForId(long id)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005